## Setup contact card `client.ContactCard.New(ctx, body) (*SetContactCard, error)` **post** `/v3/contact_card` Creates a contact card for a phone number. This endpoint is intended for initial, one-time setup only. The contact card is stored in an inactive state first. Once it's applied successfully, it is activated and `is_active` is returned as `true`. On failure, `is_active` is `false`. **Note:** To update an existing contact card after setup, use `PATCH /v3/contact_card` instead. ### Parameters - `body ContactCardNewParams` - `FirstName param.Field[string]` First name for the contact card. Required. - `PhoneNumber param.Field[string]` E.164 phone number to associate the contact card with - `ImageURL param.Field[string]` URL of the profile image to rehost on the CDN. Only re-uploaded when a new value is provided. - `LastName param.Field[string]` Last name for the contact card. Optional. ### Returns - `type SetContactCard struct{…}` - `FirstName string` First name on the contact card - `IsActive bool` Whether the contact card was successfully applied to the device - `PhoneNumber string` The phone number the contact card is associated with - `ImageURL string` Image URL on the contact card - `LastName string` Last name on the contact card ### Example ```go package main import ( "context" "fmt" "github.com/linq-team/linq-go" "github.com/linq-team/linq-go/option" ) func main() { client := linqgo.NewClient( option.WithAPIKey("My API Key"), ) setContactCard, err := client.ContactCard.New(context.TODO(), linqgo.ContactCardNewParams{ FirstName: "John", PhoneNumber: "+15551234567", ImageURL: linqgo.String("https://cdn.linqapp.com/contact-card/example.jpg"), LastName: linqgo.String("Doe"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", setContactCard.FirstName) } ``` #### Response ```json { "phone_number": "+15551234567", "first_name": "John", "last_name": "Doe", "image_url": "https://cdn.linqapp.com/contact-card/example.jpg", "is_active": true } ```